Subject: Re: bug#15552: 24.3.50; epa-file-cache-passphrase-for-symmetric-encryption not respected with GnuPG 2.x

From: Daiki Ueno <[email-masked]>
Date: Thu, 10 Oct 2013 12:08:39 +0900

Stefan Monnier <[email-masked]> writes:

> The docstring should prominently say that this var doesn't work with
> gpg2 because gpg2 does not let Emacs cache the passphrase (IIUC we
> can't make this var effective without changes in gpg2).

OK, I'll add it, though I'd also like to add a note saying that setting
this variable for gpg2 is kind of nonsense.

>> I didn't get the question correctly, then.  Look at the matrix of
>> (info "(epa) Caching Passphrases"), check when a user is suggested to
>> "set up elisp passphrase cache".
>
> That repeats the fact that symmetric encryption is handled differently
> but still doesn't help me understand why.

Because passphrase caching feature for symmetric encryption is rather
new and not supported by gpg1 (yet).